## libconfig-model-perl 2.153

=== debian/changelog ===
libconfig-model-perl (2.153-3) unstable; urgency=medium

  * Add patch to fix autopkgtest failure. (Closes: #1050059)
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 19 Aug 2023 12:02:51 +0200

libconfig-model-perl (2.153-2) unstable; urgency=medium

  * control: add build dep on libtest-synopsis-expectation-perl

 -- Dominique Dumont <dod@debian.org>  Thu, 20 Jul 2023 19:03:54 +0200

libconfig-model-perl (2.153-1) unstable; urgency=medium

  * New upstream version 2.153
    * term_ui.t: fix test for Term::ReadLine::Gnu 1.46
    * Loader: add support for single quotes
  * control: declare compliance with policy 4.6.2
  * control: remove obsolete depends or breaks versions
  * remove old NEWS file

 -- Dominique Dumont <dod@debian.org>  Wed, 19 Jul 2023 18:59:58 +0200
