=== debian/control ===
Source: libconfig-model-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Dominique Dumont <dod@debian.org>,
           gregor herrmann <gregoa@debian.org>,
           Salvatore Bonaccorso <carnil@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libmodule-build-perl
Build-Depends-Indep: dh-sequence-bash-completion,
                     libboolean-perl,
                     libcarp-assert-more-perl,
                     libconfig-model-tester-perl,
                     libfile-homedir-perl,
                     libhash-merge-perl,
                     libjson-perl,
                     liblist-moreutils-perl,
                     liblog-log4perl-perl,
                     libmouse-perl,
                     libmousex-nativetraits-perl,
                     libmousex-strictconstructor-perl,
                     libparse-recdescent-perl,
                     libpath-tiny-perl,
                     libpod-pom-perl,
                     libprobe-perl-perl,
                     libregexp-common-perl,
                     libtest-command-perl,
                     libtest-differences-perl,
                     libtest-exception-perl,
                     libtest-file-contents-perl,
                     libtest-log-log4perl-perl,
                     libtest-memory-cycle-perl,
                     libtest-pod-perl,
                     libtest-synopsis-expectation-perl,
                     libtest-warn-perl,
                     libtext-levenshtein-damerau-perl,
                     libyaml-tiny-perl,
                     po-debconf
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libconfig-model-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libconfig-model-perl.git
Homepage: https://github.com/dod38fr/config-model/wiki
Rules-Requires-Root: no

Package: libconfig-model-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libboolean-perl,
         libcarp-assert-more-perl,
         libfile-homedir-perl,
         libhash-merge-perl,
         libjson-perl,
         liblist-moreutils-perl,
         liblog-log4perl-perl,
         libmouse-perl,
         libmousex-nativetraits-perl,
         libmousex-strictconstructor-perl,
         libparse-recdescent-perl,
         libpath-tiny-perl,
         libpod-pom-perl,
         libregexp-common-perl,
         libyaml-tiny-perl
Recommends: bash-completion,
            cme,
            fuse,
            libconfig-model-tkui-perl,
            libfuse-perl,
            libtext-levenshtein-damerau-perl
Suggests: libconfig-model-dpkg-perl,
          libconfig-model-openssh-perl,
          libterm-readline-perl-perl | libterm-readline-gnu-perl
Breaks: cme (<<1.036),
        libconfig-model-dpkg-perl (<<2.162)
Description: module for describing and editing configuration data
 Config::Model is a Perl framework that enables project developers to provide
 an interactive configuration system for their software. It supports various
 frontend interfaces (graphical, curses-based or plain terminal) to users. It
 handles configuration files semantically rather than syntactically, meaning
 that developers can specify the structure and constraints of the data along
 with a mechanism to read and write the files.
 .
 Using the structure and constraint information, Config::Model will generate
 interactive configuration editors that include help and data validation. It
 is equally simple to use graphical (via Tk) interfaces as well as curses-
 and ReadLine-based terminal interfaces.
 .
 Config::Model also provides a facility to help configuration data upgrade
 that can be triggered during package upgrades.
 .
 Config::Model provides configuration model and editor for:
  - popularity-contest
  - fstab (/etc/fstab)
  - multistrap
 .
 Other configuration editors are available with other libconfig-model-*-perl
 packages.
 .
 Depending on which suggested or recommended modules are installed,
 Config::Model provides several user interfaces:
  - shell-like interface (with any of lib-term-readlin-*-perl)
  - virtual file system where each config parameter is mapped to a file
   (with fuse package)
  - graphical user interface (with libconfig-model-tkui-perl)
