## libconfig-model-perl 2.154

=== debian/changelog ===
libconfig-model-perl (2.154-1) unstable; urgency=medium

  [ Dominique Dumont ]
  * new upstream version
  * update to build with dzil
  * add README.source.org
  * add patch to remove Git plugin from dist.ini

 -- Dominique Dumont <dod@debian.org>  Sun, 16 Jun 2024 19:30:16 +0200
