## libconfig-model-perl 2.155

=== debian/changelog ===
libconfig-model-perl (2.155-1) unstable; urgency=medium

  [ Dominique Dumont ]
  * new upstream version
    * Loader: add .set_to_standard_value() function
  * README.source.org: add missing step
  * rules: skip test when running with nocheck
  * rules: override_dh_clean removes only generated pod files

 -- Dominique Dumont <dod@debian.org>  Sat, 30 Nov 2024 10:57:28 +0100
