=== debian/control ===
--- 
+++ 
@@ -7,7 +7,18 @@
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libmodule-build-perl
+               dh-dist-zilla,
+               dh-sequence-dist-zilla,
+               libdist-zilla-plugin-podweaver-perl,
+               libdist-zilla-plugin-prepender-perl,
+               libdist-zilla-plugin-run-perl,
+               libdist-zilla-plugin-signature-perl,
+               libdist-zilla-plugins-cjm-perl,
+               libmodule-build-perl,
+               libpod-elemental-transformer-list-perl,
+               libpod-weaver-section-support-perl,
+               libsoftware-license-perl,
+               perl
 Build-Depends-Indep: dh-sequence-bash-completion,
                      libboolean-perl,
                      libcarp-assert-more-perl,
