=== debian/rules ===
--- 
+++ 
@@ -21,11 +21,13 @@
 # cleanup the version injected above
 override_dh_clean:
 	dzil clean
-	find lib -name '*.pod' -delete
+	find lib/Config/Model/models/ -name '*.pod' -delete
 	perl -n -i -E 'print unless /^version =/;' dist.ini
 	dh_clean
 	rm -rf $(BUILDHOME)
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	mkdir -p $(BUILDHOME)
 	HOME=$(BUILDHOME) AUTHOR_TESTING=0 dzil test
+endif
